package entity

import (
	"time"

	"github.com/gocql/gocql"
)

// NotificationCursor tracks the last seen notification for a user.
type NotificationCursor struct {
	UID        string     `db:"user_id" partition_key:"true"`
	LastSeenTS gocql.UUID `db:"last_seen_ts"`
	UpdatedAt  time.Time  `db:"updated_at"`
}

func (uc *NotificationCursor) TableName() string {
	return "notification_cursor"
}
